def estrai(infile, parole_chiave, outfile):
	'''Legge il testo dal file "infile" e cerca le occorrenze di ogni parola chiave 
	contenuta nella lista parole_chiave all'interno di ogni capoverso.
	Si suppone che il capoverso sia delimitato da un "punto e a capo": ".\n"
	La funzione scrive sul file individuato da outfile i capoversi trovati,
	separandoli con un po' di trattini ed evidenziando le parole chiave tra due '*' 
	'''

	# numero di parole chiave da controllare 
	numkeywords = len(parole_chiave)

	# apro il file in sola lettura
	fin = open(infile, "r")

	# in text l'intero testo da analizzare
	text = fin.read()

	paragrafi = text.split(".\n")

	estratti = []

	for paragrafo in paragrafi:
		match = 0	
		for parola in parole_chiave:
			if paragrafo.count(parola) > 0:
				paragrafo = paragrafo.replace(parola, " *" + parola + "* ")
				match = match + 1

		if match == numkeywords:
			estratti.append(paragrafo)
	
	print("Trovati", len(estratti), "capoversi con le seguenti parole chiave:")
	print(parole_chiave)

	fout = open(outfile, "w")
	
	for paragrafo in estratti:
		fout.write(paragrafo + "\n\n-----------------------------------------\n\n")
	
	# importante! Chiudere i file aperti!
	#
	fout.close()
	fin.close()

